> ## Documentation Index
> Fetch the complete documentation index at: https://docs.socq.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 社交媒体账号查找

> 查找创作者在其他社交平台上运营的账号，每个匹配都附置信度。

# 社交媒体账号查找

手里只有达人的 Instagram，还想找到他的 TikTok 和 YouTube？传入已有的主页，同一个人在其他平台上的每个账号各返回一行。每个匹配都有 0 到 1 的置信度和判断依据，比如两个主页互相链接、指向同一个网站，可以按需只保留可信度高的结果。

```json theme={"dark"}
{
  "url": "https://www.instagram.com/miguelangeles"
}
```

通过 url 提供一个 Instagram、TikTok、YouTube、X 或 Facebook 主页链接。每次查询计 8 积分，在其他平台找到的每个账号返回一行，传入的主页本身不会重复出现在结果里。账号不存在时任务失败并退款。

## 标准结果字段

任务结果使用下方稳定的 SocQ 字段。系统会统一来源特有的字段名和格式，但不会推断或补充来源未提供的数据。如需缩小返回字段集合，MCP 查询使用 `fields`，Typed 工具使用 `_result_fields`，CLI 使用 `--result-fields`。声明字段的值为 `null` 时仍会保留。

| 字段 | 类型 | 可空 | 说明 |
| - | - | - | - |
| `id` | `string` | 是 | 关联账号的主页地址，作为标识。 |
| `platform` | `string` | 否 | 结果所属的平台，例如 `instagram` 或 `linkedin`。 |
| `resource` | `string` | 否 | 该结果对应的 SocQ 资源，例如 `videos` 或 `comments`。 |
| `type` | `string` | 否 | 结果项的类别，例如 `video`、`post` 或 `comment`。 |
| `url` | `string` | 是 | 关联账号的主页地址。 |
| `published_at` | `string` | 是 | 源内容的发布时间（如可获得），使用 ISO 8601 格式。 |
| `collected_at` | `string` | 否 | SocQ 采集或处理该结果的时间，使用 ISO 8601 格式。 |
| `network` | `string` | 是 | 关联账号所在的平台，例如 `tiktok` 或 `youtube`。 |
| `username` | `string` | 是 | 关联账号的用户名。 |
| `confidence` | `number` | 是 | 该账号属于同一创作者的置信度，取值 0 到 1。 |
| `evidence` | `array<string>` | 是 | 将该账号关联到创作者的依据，例如 `same_handle` 或 `website_link`。 |
| `source_network` | `string` | 是 | 被查询账号所在的平台。 |
| `source_url` | `string` | 是 | 被查询的账号主页地址。 |

以下示例展示任务完成后的响应格式，具体数据以实际查询结果为准。

## 任务完成响应

```json theme={"dark"}
{
  "code": 200,
  "data": {
    "task_id": "example-creator-find-social-profiles",
    "status": "succeeded",
    "public_id": "creator/find-social-profiles",
    "result_count": 1,
    "credits_amount": 8,
    "results": {
      "limit": 50,
      "next_cursor": null,
      "has_more": false,
      "schema_id": "linked-profile",
      "schema_version": "1.0",
      "items": [
        {
          "id": "https://www.youtube.com/@miguelangeles",
          "platform": "creator",
          "resource": "find-social-profiles",
          "type": "linked-profile",
          "url": "https://www.youtube.com/@miguelangeles",
          "published_at": null,
          "collected_at": "2026-11-17T23:54:19.292630Z",
          "network": "youtube",
          "username": "miguelangeles",
          "confidence": 0.95,
          "evidence": [
            "reciprocal_profile_link"
          ],
          "source_network": "instagram",
          "source_url": "https://www.instagram.com/miguelangeles"
        }
      ]
    }
  }
}
```


## OpenAPI

````yaml zh/api-manual/agent-api/agent-api.json POST /v1/creator/find-social-profiles
openapi: 3.1.0
info:
  title: SocQ Agent API 中文版
  version: v1-87892a6484c2
  description: 根据 SocQ 能力目录生成的异步社交数据 API。
servers:
  - url: https://api.socq.ai
security: []
paths:
  /v1/creator/find-social-profiles:
    post:
      tags:
        - creator
      summary: 社交媒体账号查找
      description: 查找创作者在其他社交平台上运营的账号，每个匹配都附置信度。
      operationId: socq_creator_find_social_profiles
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $schema: https://json-schema.org/draft/2020-12/schema
              type: object
              additionalProperties: false
              properties:
                callback_url:
                  type: string
                  format: uri
                  description: 可选的任务完成回调 URL。
                url:
                  type: string
                  minLength: 1
                  description: 公开主页链接，支持 Instagram、TikTok、YouTube、X 和 Facebook。
              required:
                - url
              description: >-
                通过 url 提供一个 Instagram、TikTok、YouTube、X 或 Facebook 主页链接。每次查询计 8
                积分，在其他平台找到的每个账号返回一行，传入的主页本身不会重复出现在结果里。账号不存在时任务失败并退款。
      responses:
        '200':
          description: 任务已受理
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentSubmitResponse'
        '422':
          description: Input validation failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentValidationErrorResponse'
      security:
        - bearerAuth: []
        - apiKeyAuth: []
components:
  schemas:
    AgentSubmitResponse:
      type: object
      properties:
        code:
          type: integer
          const: 200
          description: HTTP 业务状态码。
        data:
          type: object
          properties:
            task_id:
              type: string
              description: 任务 ID，用于查询任务状态和结果。
            status:
              type: string
              description: 任务当前状态。
            created_time:
              type:
                - string
                - 'null'
              description: 任务创建时间。
          required:
            - task_id
            - status
    AgentValidationErrorResponse:
      type: object
      properties:
        code:
          type: integer
          const: 422
        error:
          type: object
          properties:
            message:
              type: string
            type:
              type: string
            details:
              type: object
          required:
            - message
            - type
      required:
        - code
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: '使用 `Authorization: Bearer <token>` 请求头进行身份验证。'
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: 也可以通过 `x-api-key` 请求头提供 API Key。

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.